package com.vendor.loader.ui;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.vendor.loader.Messages;
import com.vendor.loader.controler.Builder;
import com.vendor.loader.controler.GlobleControler;
import com.vendor.loader.struct.UpgradeFileInfo;
import com.vendor.loader.struct.UpgradeInfo;
import com.vendor.loader.ui.LoaderComposite;
import com.vendor.loader.util.FileUtil;
import com.vendor.loader.util.SOCTUsbPackageBuilder;
import java.util.ArrayList;
import java.util.List;
import org.eclipse.swt.events.SelectionEvent;
import org.eclipse.swt.events.SelectionListener;

class null implements SelectionListener {
  public void widgetSelected(SelectionEvent e) {
    if (!LoaderComposite.this.validateInput(LoaderComposite.this.contants[2]))
      return; 
    String file = LoaderComposite.this.usbFileField.getFilePath();
    if (!FileUtil.isContinue(file))
      return; 
    List<UpgradeFileInfo> selUpdateFiles = new ArrayList<>();
    for (int i = 0; i < LoaderComposite.this.updateFiles.size(); i++) {
      UpgradeFileInfo fileInfo = LoaderComposite.this.updateFiles.get(i);
      if (fileInfo.isSel() && !fileInfo.getFileName().isEmpty())
        selUpdateFiles.add(fileInfo); 
    } 
    if (selUpdateFiles.size() > 0) {
      UpgradeInfo info = LoaderComposite.this.upgradeInfo.getInput();
      GlobleControler.runner.createRunnerJob("Package Usb Ts (SOCT)", selUpdateFiles, info, file, (Builder)new SOCTUsbPackageBuilder());
    } else {
      LoaderComposite.this.showError(Messages.SELECTFILE);
    } 
  }
  
  public void widgetDefaultSelected(SelectionEvent e) {}
}
